package de.sh_edraft.events

import org.bukkit.event.EventHandler
import org.bukkit.event.Listener
import org.bukkit.event.player.PlayerEvent
import org.bukkit.event.player.PlayerKickEvent
import org.bukkit.event.player.PlayerQuitEvent
import java.util.logging.Logger

class OnLeaveListener(private val logger: Logger) : Listener {

    private fun handleQuit(p: PlayerEvent) {
        this.logger.info("Player ${p.player.player?.displayName} leaved")
    }

    @EventHandler
    fun onPlayerQuit(p: PlayerQuitEvent) {
        this.handleQuit(p)
    }

    @EventHandler
    fun onPlayerKick(p: PlayerKickEvent) {
        this.handleQuit(p)
    }
}